Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358255 - unlogical appearance of ' Hosted Engine upgrade failed: this system is not reliable.'
Summary: unlogical appearance of ' Hosted Engine upgrade failed: this system is not re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General
Version: 2.0.0.1
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: ovirt-4.0.2
: 2.0.1.4
Assignee: Simone Tiraboschi
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 11:36 UTC by Jiri Belka
Modified: 2017-05-11 09:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Making the exit message context aware: using softer exit messages if the error occured before the tool really touched the system.
Clone Of:
Environment:
Last Closed: 2016-08-17 14:44:37 UTC
oVirt Team: Integration
rule-engine: ovirt-4.0.z+
rule-engine: exception+
rule-engine: planning_ack+
sbonazzo: devel_ack+
gklein: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61486 master MERGED text: making the exit message context aware 2016-08-05 14:22:20 UTC
oVirt gerrit 61989 ovirt-hosted-engine-setup-2.0 MERGED text: making the exit message context aware 2016-08-05 15:14:40 UTC

Description Jiri Belka 2016-07-20 11:36:37 UTC
Description of problem:

sometimes appearance of '[ ERROR ] Hosted Engine upgrade failed: this system is not reliable. If necessary you can use --rollback-upgrade option to recover the engine VM disk from a backup' doesn't make sense.

An example:

~~~
...
[ INFO  ] Checking SPM status on this host
[ INFO  ] Connecting to the Engine
[ ERROR ] This host is not the SPM one, please select it as the SPM from the engine or run this tool on the SPM host.
[ ERROR ] Failed to execute stage 'Environment customization': Cannot run the upgrade tool if the host is not the SPM
[ INFO  ] Stage: Clean up
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Hosted Engine upgrade failed: this system is not reliable. If necessary you can use --rollback-upgrade option to recover the engine VM disk from a backup
          Log file is located at /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20160720133011-zv4u3f.log
~~~

Thus there was no upgrade at all but the setup after it fails tells me the env is unstable and do '--rollback-upgrade' even no such upgrade has been practically started.

Please review under which circumstences this message appear.

Version-Release number of selected component (if applicable):
ovirt-hosted-engine-setup-2.0.1-1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. rhevh 3.6 legacy with HE (whole env is up and fine)
2. add redhat-virtualization-host (aka NGN) as another host of SHE env
3. migrate HE VM to 'NGN' host (ensure old host is still SPM)
4. global maintenance
5. hosted-engine --upgrade-appliance

Actual results:
setup fails as current host (where hosted-engine --upgrade-appliance was executed) is not SPM but then it displays unlogical message

Expected results:
do not display this message if the setup has not practically migrated the SHE env

Additional info:

Comment 3 Jiri Belka 2016-08-17 10:17:26 UTC
ok, ovirt-hosted-engine-setup-2.0.1.4-1.el7ev.noarch

looks good, tested on non-SPM and with non global maintenance mode

[ INFO  ] Connecting to the Engine
[ ERROR ] This host is not the SPM one, please select it as the SPM from the engine or run this tool on th
e SPM host.
[ ERROR ] Failed to execute stage 'Environment customization': Cannot run the upgrade tool if the host is 
not the SPM
[ INFO  ] Stage: Clean up
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Hosted Engine upgrade failed
          Log file is located at /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-201608171215
42-bb8k6s.log


Note You need to log in before you can comment on or make changes to this bug.